Skip to main content
`Ctrl`+`K`

# TSBasicSymplecticRegisterDestroy

Frees the list of schemes that were registered by `TSBasicSymplecticRegister()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSBasicSymplecticRegisterDestroy(void)

Not Collective

## See Also

TS: Scalable ODE and DAE Solvers, `TSBasicSymplecticRegister()`, `TSBasicSymplecticRegisterAll()`, `TSBASICSYMPLECTIC`

## Level

advanced

## Location

src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages